## download

=== Makefile ===
CC ?= gcc
CFLAGS = -O2 -Wall -I/usr/include/cdk
LDFLAGS = -lcdk -lncurses

EXE = shgen
MISC = usr_share_shgen

default: $(EXE)

%.o: %.c
	@echo '  [CC] $^'
	@$(CC) $(CFLAGS) -c -o $@ $<

$(EXE): %: %.o
	@echo '  [LD] $<'
	@$(CC) -o $@ $< $(LDFLAGS)

install: $(EXE)
	@echo '  [INSTALL] $<'
	@mkdir -p $(DESTDIR)/usr/bin
	@install -m 755 $(EXE) $(DESTDIR)/usr/bin
	@mkdir -p $(DESTDIR)/usr/share/$(EXE)
	@install -m 644 -t $(DESTDIR)/usr/share/$(EXE) $(MISC)/GPLv2 $(MISC)/GPLv3\
	 $(MISC)/custom $(MISC)/help $(MISC)/lib $(MISC)/skeleton
	@install -m 755 $(MISC)/shgen.sh $(DESTDIR)/usr/share/$(EXE)

clean:
	@echo '  [CLEAN]'
	@rm -f $(EXE) *.o

.PHONY: clean default install

=== debian/changelog ===
shgen (0.1-1) lucid; urgency=low

  * Initial release

 -- dragan <ebelcrom@gmail.com>  Thu, 17 May 2018 23:01:27 +0200

=== debian/control ===
Source: shgen
Section: misc
Priority: optional
Maintainer: dragan <ebelcrom@gmail.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
Homepage: https://www.binomiant.duckdns.org/9wAuyR5S/?p=shgen.git

Package: shgen
Architecture: any
Depends: libc6 (>= 2.4), libcdk5 (>= 5.0)
Description: Console shell script generator.
 Ncurses based shell script generator for execution in a console.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ 


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
